package require tcl3d

info commands tcl3dVec3*

set v1 [tcl3dVectorFromArgs GLfloat 0 0 0]
set v2 [tcl3dVectorFromArgs GLfloat 1 2 3]

set e1 [tcl3dVectorFromArgs GLfloat 1 0 0]
set e2 [tcl3dVectorFromArgs GLfloat 0 1 0]
set e3 [tcl3dVectorFromArgs GLfloat 0 0 1]

set x  [tcl3dVectorFromArgs GLfloat 0 0 0]

puts -nonewline "New vector v1:"
tcl3dVec3fPrint $v1
puts "\tLength: [tcl3dVec3fLength $v1]"
puts ""

puts -nonewline "New vector v2:"
tcl3dVec3fPrint $v2
puts "\tLength: [tcl3dVec3fLength $v2]"
tcl3dVec3fCopy $v2 $x
puts "\tCopied vector identical: [tcl3dVec3fCompare $v2 $x]"
tcl3dVec3fNormalize $x 
puts -nonewline "\tNormalized: " ; tcl3dVec3fPrint $x
puts "\tLength: [tcl3dVec3fLength $x]"

puts ""
puts -nonewline "New vector e1:"
tcl3dVec3fPrint $e1
puts -nonewline "New vector e2:"
tcl3dVec3fPrint $e2

puts -nonewline "\tDistance between e1 and e2: " 
puts [tcl3dVec3fDistance $e1 $e2]

puts -nonewline "\tDot product between e1 and e2: " 
puts [tcl3dVec3fDotProduct $e1 $e2]
puts -nonewline "\tDot product between e1 and v2: " 
puts [tcl3dVec3fDotProduct $e1 $v2]
puts -nonewline "\tCross product between e1 and e2: " 
tcl3dVec3fCrossProduct $e1 $e2 $x
tcl3dVec3fPrint $x

puts ""
puts -nonewline "x = e1      :" 
tcl3dVec3fCopy $e1 $x
tcl3dVec3fPrint $x

puts -nonewline "x = e1 + v2 :" 
tcl3dVec3fAdd $e1 $v2 $x
tcl3dVec3fPrint $x

puts -nonewline "x = x - e1  :" 
tcl3dVec3fSubtract $x $e1 $x
tcl3dVec3fPrint $x

puts -nonewline "x = 3.5 * v2:" 
tcl3dVec3fScale 3.5 $v2 $x
tcl3dVec3fPrint $x

exit
